<?php

namespace App\Classes\Modules\FreightForwarder\DataTransferObjects;

class FreightForwarderObject
{
    /** @var  float */
    private $shipping_rate;

    /** @var  int|null */
    private $overdue_days;

    /** @var  float */
    private $markup_percentage;

    /** @var  float */
    private $minimum_cbm;

    /**
     * FreightForwarderObject constructor.
     * @param float $shipping_rate
     * @param int|null $overdue_days
     * @param float $markup_percentage
     * @param float $minimum_cbm
     */
    public function __construct(float $shipping_rate, ?int $overdue_days, float $markup_percentage, float $minimum_cbm)
    {
        $this->shipping_rate = $shipping_rate;
        $this->overdue_days = $overdue_days;
        $this->markup_percentage = $markup_percentage;
        $this->minimum_cbm = $minimum_cbm;
    }

    /**
     * @return float
     */
    public function getShippingRate(): float
    {
        return $this->shipping_rate;
    }

    /**
     * @return int|null
     */
    public function getOverdueDays(): ?int
    {
        return $this->overdue_days;
    }

    /**
     * @return float
     */
    public function getMarkupPercentage(): float
    {
        return $this->markup_percentage;
    }

    /**
     * @return float
     */
    public function getMinimumCbm(): float
    {
        return $this->minimum_cbm;
    }






}